// 1 . String: greeting
// Спросите у пользователя имя, и поприветствуйте его с помощью alert.
{/*
    const name = prompt("Как Вас зовут?");
    alert(`Приветсвуем Вас, ${name}`) */
}

// 2. String: gopni4ek
//Попросите пользователя ввести строку через prompt. Используя split и join сделайте что бы после любой запятой следовало
// слово блин, .
{/*
    let str = prompt("Расскажите какая сегодня погода")

    let result = str.split(',').join(' блин, ');
    console.log(result); */
}

//3. String: capitalize
//Преобразуйте строку, введенную пользователем, таким образом, что бы первая буква становилась большой,
// а остальные - маленькими:
{ /*
    let str = "cANBerRa"
    let result = str[0].toUpperCase() + str.slice(1).toLowerCase();

    console.log(result) */
}

//4. String: word count
// Посчитайте количество слов в строке. Используйте разбиение по пробелам. Длина массива называется так же, как и длина строки.
{ /*
    const line = "Мы сидели на ДжиЭсе прибавляли тихо в весе"
    let words = line.split(' ') //разбиваем по пробелу, получаем массив из трех элементов

    alert(`В масиве ${words.length} символов`); */
}

//5. String: credentials
// a. Спросите у пользователя ФИО, используя prompt трижды. Выкиньте лишние пробелы, используя .trim
// b. Используя String: capitalize сделайте так, что бы каждое слово в ФИО было с большой буквы, а остальные - маленькие
// c. Объедините эти три строки в одну переменную fullName и выведите куда-то(alert, console.log). Не забудьте пробелы между словами.
{ /*
    //a.
    const secondName = prompt("Введите вашу фамилию");
    const firstName = prompt("Введите ваше имя");
    const patronymic = prompt("Введите ваше отчество");
    console.log(secondName.trim(), firstName.trim(), patronymic.trim());
    //b.
    const secondNameNew = secondName[0].toUpperCase() + secondName.slice(1).toLowerCase();
    const firstNameNew = firstName[0].toUpperCase() + firstName.slice(1).toLowerCase();
    const patronymicNew = patronymic[0].toUpperCase() + patronymic.slice(1).toLowerCase();

    console.log(secondNameNew, firstNameNew, patronymicNew)
    // c.
    let result = secondNameNew + " " + firstNameNew + " " + patronymicNew;
    console.log(result) */
}

//6. String: beer
// Не используя .replace замените слово пиво в строке на слово чай
{/*
    let str = "Было жарко. Василий пил пиво вприкуску с креветками"
    let result = str.split('пиво').join('чай');
    console.log(result) //"Было жарко. Василий пил чай вприкуску с креветками" */
}

//7. String: no tag +
// Найдите в строке HTML тэг. Удалите, т. е. вырежьте его - создайте другую строку, в которой будет все символы до тэга
// и после него Тэг может быть любым

{/*
    let str = "какой-то текст в котором есть один тэг <br/> и всякое другое";
    let result = `${str.slice(0, str.indexOf('<') - 1)} ${str.slice(str.indexOf('>') + 2)}`;
    alert(result); */
}

//8. String: big tag
//На основе предыдущего задания сделайте тэг большими буквами:
{ /*
    let str = "какой-то текст в котором есть один тэг <br/> и всякое другое";
    let result = str.indexOf("<");
    let result1 = str.indexOf(">");
    let tag = str.slice(result, result1 + 1);
    alert(str.slice(0, result) + tag.toUpperCase() + str.slice(result1 + 1));
*/
}

//9. String: new line
// Попросите пользователя ввести строку через prompt. prompt не позволяет вводить многострочные строки.
// Дадим пользователю такую возможность - Пользователь может вводить \n в качестве маркера новой строки.
// Используя split и join сделайте эту строку воистину многострочной и выведите в консоль или через alert.
{ /*
    let str = prompt('введите несколько строк разделенных \n');
    let result = str.split('\\n').join('\n');
    alert(result); */
}
//10. String: youtube
{/*
    const regular = /http(?:s?):\/\/(?:www\.)?youtu(?:be\.com\/watch\?v=|\.be\/)([\w\-\_]*)(&(amp;)?‌​[\w\?‌​=]*)?.*$/;
    let youtube = prompt();
    youtube = youtube.match(regular);
    let video = `https://www.youtube.com/embed/${youtube[1]}`
    document.write(`<iframe src="${video}"></iframe>`); */
}




